-- MySQL Script generated by MySQL Workbench
-- Fri Feb  5 15:29:02 2021
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering


-- ----------------------------------------------------
-- Jessy Landas
-- ----------------------------------------------------

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `mydb` DEFAULT CHARACTER SET utf8 ;
USE `mydb` ;

-- -----------------------------------------------------
-- Table `mydb`.`Cartes`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Cartes` (
  `idCartes` INT NOT NULL AUTO_INCREMENT,
  `CodeBarre` VARCHAR(45) NULL,
  `Cartescol` VARCHAR(45) NULL,
  `Commentaire` VARCHAR(100) NULL,
  `DateTest` DATE NULL,
  `DateAjoutBase` DATE NULL,
  PRIMARY KEY (`idCartes`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Emplacement`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Emplacement` (
  `idEmplacement` INT NOT NULL AUTO_INCREMENT,
  `Nom` VARCHAR(45) NULL,
  PRIMARY KEY (`idEmplacement`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`LocalisationCartes`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`LocalisationCartes` (
  `idLocalisationCartes` INT NOT NULL AUTO_INCREMENT,
  `Date` DATE NULL,
  `Cartes_idCartes` INT NOT NULL,
  `Emplacement_idEmplacement` INT NOT NULL,
  PRIMARY KEY (`idLocalisationCartes`),
  INDEX `Cartes_idCartes_idx` (`Cartes_idCartes` ASC),
  INDEX `Emplacement_idEmplacement_idx` (`Emplacement_idEmplacement` ASC),
  CONSTRAINT `Cartes_idCartes`
    FOREIGN KEY (`Cartes_idCartes`)
    REFERENCES `mydb`.`Cartes` (`idCartes`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `Emplacement_idEmplacement`
    FOREIGN KEY (`Emplacement_idEmplacement`)
    REFERENCES `mydb`.`Emplacement` (`idEmplacement`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
